@echo off
  set tmp_sql="%TEMP%\2x3-highlight.sql"
  echo -- 2x3-highlight tmp file> %tmp_sql%
  echo BEGIN TRANSACTION^;>> %tmp_sql%
  echo DELETE FROM table_values^;>> %tmp_sql%
  echo DELETE FROM table_keys WHERE id ^!^= 0^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (1,0,'Highlight')^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (2,0,'SortGroups')^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (3,1,'Group0')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'CursorColor',x'0300000000000000030000FF0B0000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'IgnoreMask',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'IncludeAttributes',2)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'Mask','*.*')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'NormalColor',x'0300000000000000030000FF010000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (3,'UseSize',0)^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (4,1,'Group1')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'CursorColor',x'0300000000000000030000FF0B0000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'IgnoreMask',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'IncludeAttributes',4)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'Mask','*.*')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'NormalColor',x'0300000000000000030000FF010000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (4,'UseSize',0)^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (5,1,'Group2')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'CursorColor',x'03000000000000000F0000FF0B0000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'IgnoreMask',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'IncludeAttributes',16)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'Mask','*.*^|..')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'NormalColor',x'03000000000000000F0000FF010000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (5,'UseSize',0)^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (6,1,'Group3')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'CursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'IgnoreMask',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'IncludeAttributes',16)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'Mask','..')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'NormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (6,'UseSize',0)^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (7,1,'Group4')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'CursorColor',x'0300000000000000020000FF0B0000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'IgnoreMask',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'IncludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'Mask','*.exe,*.com,*.bat,*.cmd,%%PATHEXT%%')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'NormalColor',x'03000000000000000A0000FF010000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (7,'UseSize',0)^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (8,1,'Group5')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'CursorColor',x'0300000000000000050000FF0B0000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'IgnoreMask',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'IncludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'Mask','*.rar,*.zip,*.[zj],*.[bg7]z,*.[bg]zip,*.tar,*.t[ag]z,*.ar[cj],*.r[0-9][0-9],*.a[0-9][0-9],*.bz2,*.cab,*.msi,*.jar,*.lha,*.lzh,*.ha,*.ac[bei],*.pa[ck],*.rk,*.cpio,*.rpm,*.zoo,*.hqx,*.sit,*.ice,*.uc2,*.ain,*.imp,*.777,*.ufa,*.boa,*.bs[2a],*.sea,*.hpk,*.ddi,*.x2,*.rkv,*.[lw]sz,*.h[ay]p,*.lim,*.sqz,*.chz')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'NormalColor',x'03000000000000000D0000FF010000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (8,'UseSize',0)^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (9,1,'Group6')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'CursorColor',x'0300000000000000060000FF0B0000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'IgnoreMask',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'IncludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'Mask','*.bak,*.tmp')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'NormalColor',x'0300000000000000060000FF010000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (9,'UseSize',0)^;>> %tmp_sql%
  echo INSERT INTO table_keys (id,parent_id,name) VALUES (10,1,'Group7')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'ContinueProcessing',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'CursorColor',x'03000000000000000F0000FF0B0000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'DateAfter',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'DateBefore',x'0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'DateRelative',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'DateType',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'ExcludeAttributes',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'IgnoreMask',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'IncludeAttributes',16)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'MarkChar',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'MarkCharCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'MarkCharNormalColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'MarkCharSelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'MarkCharSelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'Mask','*.*')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'NormalColor',x'03000000000000000F0000FF010000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'SelectedColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'SelectedCursorColor',x'0300000000000000000000FF000000FF0000000000000000')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'SizeAboveS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'SizeBelowS','')^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'UseAttr',1)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'UseDate',0)^;>> %tmp_sql%
  echo INSERT INTO table_values (key_id,name,value) VALUES (10,'UseSize',0)^;>> %tmp_sql%
  echo END TRANSACTION^;>> %tmp_sql%
  for /f "tokens=*" %%c in ('chcp') do call :save_cp %%c
  chcp 65001 >NUL
  "sqlite3.exe" "%FARPROFILE%\highlight.db" <%tmp_sql% && echo Ok || echo failed
  chcp %saved_cp% >NUL
goto :EOF
:save_cp
  if not "" == "%~2" shift& goto :save_cp
  set saved_cp=%~1
goto :EOF
